Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 630430 (CVE-2017-12146) - kernel: in the Linux kernel before 4.12.1 allows local users to gain privileges by leveraging a race condition
Summary: kernel: in the Linux kernel before 4.12.1 allows local users to gain privile...
Status: IN_PROGRESS
Alias: CVE-2017-12146
Product: Gentoo Security
Classification: Unclassified
Component: Kernel (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Security
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-08 22:02 UTC by D'juan McDonald (domhnall)
Modified: 2017-09-21 10:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D'juan McDonald (domhnall) 2017-09-08 22:02:25 UTC
from ${URL}:

The driver_override implementation in drivers/base/platform.c in the Linux kernel before 4.12.1 allows local users to gain privileges by leveraging a race condition between a read operation and a store operation that involve different overrides.

CVE Details:(https://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12146)

Upstream Patch:(https://github.com/torvalds/linux/commit/6265539776a0810b7ce6398c27866ddb9c6bd154)

ChangeLog:(http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.12.1)

Daj Uan (jmbailey/mbailey_j)
Gentoo Security Padawan